if status is-interactive
    set -gx EDITOR nvim
    set -gx VISUAL nvim
    set -gx QT_QPA_PLATFORMTHEME qt5ct
    set -gx TERMINAL foot
    set -gx MOZ_ENABLE_WAYLAND 1
    set -gx _JAVA_AWT_WM_NONREPARENTING 1

    if not pgrep -u "$USER" ssh-agent > /dev/null;
        ssh-agent -c > "$XDG_RUNTIME_DIR/ssh-agent.env"
    end
    if [ -z $SSH_AUTH_SOCK ]
        eval "$(cat $XDG_RUNTIME_DIR/ssh-agent.env)"
    end
end
